extends ../base.jade

block title
  title= user.display_name+' - '+ __('profile_user')

block vars
  - var page = 'user_item', locale = req.getLocale()
  - var controls = {messages: __('message_m'),favorites: __('favorites'), published: __('published')}
  //- feed: __('feed')

block main
  .PW.Profile.isle
    .Profile_blockLeft
      a(href="/user/#{user.id}")
        if user.avatar
          img.avatar(src= user.avatar, title= user.display_name)
        else
          img.avatar(src='/images/icons/default_avatar_big.png', title= user.display_name)

      if session.user && (user.id == session.user.id)
        .controlPanel.a-activeItem(data-ai-type="vertical")
          for val, key in controls
            a.item(href="/user/#{user.id}/#{key}", class= req.path.search(key) === -1? null : 'active')= val
              if key==='messages' && session.user.is_receive_message
                .notification_new-messages(title="Новых сообщений"): span= session.user.is_receive_message

      else if session.user
        .controlPanel
          .button.press.a-popup-newMessage(data-user-id= user.id)= __('write_message')
          .button.press.a-userToFavorites(class= user.is_friend? 'active' : null ,data-user-id= user.id)= user.is_friend? __('remove') : __('to_favorites')
        
    .Profile_blockRight
      .Profile_blockTop
        if session.user && (user.id === session.user.id || session.user.type === 'administrator' || session.user.type === 'moderator')
          a.toRight(style="text-decoration: none", href="/user/#{user.id}/edit")
            span.Fsg= __('edit_profile')
            img(style="margin-left: 5px; position: relative; top: 2px", src="/images/icons/edit.png")

        h1= user.last_name+' '+user.first_name+( user.second_name? ' '+ user.second_name : '' )
        .IB(style="margin-left: 20px")
          if user.is_writer
            img.achive(src="/images/icons/achive_writer.png", title= __('writer'))
          if user.is_speaker
            img.achive(src="/images/icons/achive_speaker.png", title= __('speaker'))

      .Profile_blockBottom

        if dialogs
          include module/dialogs

        else if messages
          include module/messages
          
        else if favorites
          include module/favorites

        else if published
          include module/published

        else 
          include module/info

  
